<template>
  <div id="footers">
    <div class="footers">
      <van-grid :column-num="list.length" clickable>
        <van-grid-item v-for="(i, index) in list" :key="`menu-${index}`" :text="i.label" :to="i.router" />
      </van-grid>
    </div>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'footers',
  props: {
    list: { type: Array, default: () => [] },
  },
  components: {},
  data: function () {
    return {};
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.footers {
  position: fixed;
  bottom: 0px;
  width: 100%;
}
</style>
